array_filter
array_intersect_assoc
Array Functions
PHP Manual

# array_flip

(PHP 4, PHP 5)

array_flip — Exchanges all keys with their associated values in an array

### Description

array array_flip ( array `$trans` )

array_flip() returns an array in flip order, i.e. keys from `trans` become values and values from `trans` become keys.

Note that the values of `trans` need to be valid keys, i.e. they need to be either integer or string. A warning will be emitted if a value has the wrong type, and the key/value pair in question will not be flipped.

If a value has several occurrences, the latest key will be used as its values, and all others will be lost.

### Parameters

`trans`

  An array of key/value pairs to be flipped.

### Return Values

Returns the flipped array on success and `FALSE` on failure.

### Examples

Example #1 array_flip() example

`<?php
$trans = array_flip($trans);
$original = strtr($str, $trans);
?>`

Example #2 array_flip() example : collision

`<?php
$trans = array("a" => 1, "b" => 1, "c" => 2);
$trans = array_flip($trans);
print_r($trans);
?>`

now $trans is:

    Array
    (
        [1] => b
        [2] => c
    )

### See Also

- array_values()
- array_keys()
- array_reverse()

array_filter
array_intersect_assoc
Array Functions
PHP Manual